Bug 1054887 - Text file misidentified as .PIC image
Summary: Text file misidentified as .PIC image
Keywords:
Status: CLOSED DUPLICATE of bug 980941
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 16:56 UTC by Hubert Kario
Modified: 2014-02-05 07:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 07:44:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
misidentified file (65 bytes, text/plain)
2014-01-17 16:56 UTC, Hubert Kario
no flags Details

Description Hubert Kario 2014-01-17 16:56:05 UTC
Created attachment 851727 [details]
misidentified file

Description of problem:
.hmac files are sometimes misidentified as PIC images.

Version-Release number of selected component (if applicable):
file-5.04-15.el6.x86_64

How reproducible:
Always with attached file

Steps to Reproduce:
1. file .libcrypto.so.1.0.1e.hmac

Actual results:
/tmp/.libcrypto.so.1.0.1e.hmac: Bio-Rad .PIC Image File 25908 x 13413, 13412 images in file

Expected results:
/tmp/.libcrypto.so.1.0.1e.hmac: ASCII text

Additional info:

Comment 2 Jan Kaluža 2014-01-20 08:57:45 UTC
This can be fixed by Bio-Rad part of following upstream commit:

https://github.com/glensc/file/commit/e6b40155#diff-8

Comment 3 Jan Kaluža 2014-02-05 07:44:31 UTC
I've just found out there's duplicate of this bug already, I'm closing this bug as a duplicate of 980941.

*** This bug has been marked as a duplicate of bug 980941 ***


Note You need to log in before you can comment on or make changes to this bug.